by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Nov 16 2017 07:10
    minerchow edited #202
  • Nov 16 2017 07:10
    minerchow opened #202
  • Nov 14 2017 01:28
    dondevi opened #201
  • Nov 08 2017 07:44
    earlymeme opened #200
  • Nov 08 2017 07:39
    earlymeme closed #199
  • Nov 08 2017 07:26
    earlymeme opened #199
  • Nov 06 2017 09:31
    phaibin opened #198
  • Oct 26 2017 05:53

    QingWei-Li on v1.5.5

    (compare)

  • Oct 26 2017 05:53
    QingWei-Li closed #196
  • Oct 26 2017 05:53

    QingWei-Li on master

    fix: upgrade extract-text-webpa… v1.5.5 (compare)

  • Oct 25 2017 07:34
    leewind opened #197
  • Oct 23 2017 04:09
    tiupcn edited #196
  • Oct 23 2017 04:09
    tiupcn opened #196
  • Oct 17 2017 02:08

    QingWei-Li on v1.5.4

    fix: extract-text-webpack-plugi… v1.5.4 (compare)

  • Oct 17 2017 02:08
    QingWei-Li closed #187
  • Oct 17 2017 02:08

    QingWei-Li on master

    fix: extract-text-webpack-plugi… v1.5.4 (compare)

  • Oct 12 2017 12:00
    shaoxiong789 opened #195
  • Sep 28 2017 07:58
    deepkolos opened #194
  • Sep 28 2017 07:58
    deepkolos opened #193
  • Sep 12 2017 08:28
    KevinLongLong edited #192
cinwell.li
@QingWei-Li
就是现在用 slush-cooking-vue 这个脚手架,如果生成时候会让你选择是用 vue1 还是 2
BITDM
@BITDM
我是直接在命令行参数里加的vue2
cinwell.li
@QingWei-Li
然后 vue 插件有 cooking-vue 和 cooking-vue2
BITDM
@BITDM
插件里是2个,脚手架里也是2个
cinwell.li
@QingWei-Li
哦 那你 extends: [‘vue2']
BITDM
@BITDM
也改成vue2试过,时间差不多
cinwell.li
@QingWei-Li
还有现在 vue 插件不要全局安装
哦 时间问题我会研究的
不应该这么慢
BITDM
@BITDM
vue插件安装在项目里?
cinwell.li
@QingWei-Li
是的
BITDM
@BITDM
npm i -S cooking-vue2?
cinwell.li
@QingWei-Li
嗯对
你用脚手架的话
会帮你配置成本地安装的
BITDM
@BITDM
需要把插件删除?
cinwell.li
@QingWei-Li
把全局的删除了
主要因为 vue-loader 分 8 和 9 两个版本
所以很蛋疼
BITDM
@BITDM
我刚看新建的项目里,vue-loader变成运行依赖了,以前是开发依赖
cinwell.li
@QingWei-Li
。。。额 估计我配错了
额 没有呀
还是开发依赖
BITDM
@BITDM
cooking-cli的版本是1.1.1
cinwell.li
@QingWei-Li
反正如果现在用 1.1 的 cooking 的话,建议先把之前的插件都删掉
BITDM
@BITDM
在新建项目的时候,加了vue2,后面很多选项都不显示
cinwell.li
@QingWei-Li
不显示是啥情况
BITDM
@BITDM
是提示项
比如是否使用karma,根本不显示
cinwell.li
@QingWei-Li
[cooking] - generator project
[slush] Using slushfile /Users/liqingwei/.cooking/node_modules/slush-cooking-vue/slushfile.js
[18:47:28] Starting 'cooking-vue:default'...
[?] Give your app a name: test-cooking
[?] Give your app a description: A vue project.
[?] Private? Yes
[?] What Vue version do you what? Vue 2
[?] What ES2015+ compiler do you what to use? bublé (only use wepback 2)
[?] What way use cooking do you want? Global cooking (webpack 2)
[?] Need dev server? Yes
[?] What CSS preprocessor do you want to use? Only CSS
[?] Setup unit tests with Karma + Mocha? (Y/n)
是这样的么
你现在给的提示是啥
BITDM
@BITDM
不加vue2的时候是这样
cinwell.li
@QingWei-Li
什么意思 😂
BITDM
@BITDM
我按文档里的写法:cooking create test vue2
cinwell.li
@QingWei-Li
哦 我的意思是
slush-cooking-vue2 已经废弃了
不饿
vue2 和 vue 的脚手架合并
所以你应该用 cooking create test vue
然后 先更新下 vue 脚手架
vue 脚手架现在版本是 1.1.3
BITDM
@BITDM
"vue": ">=1.1.3",
"vue2": ">=0.2.0"
cinwell.li
@QingWei-Li
然后就直接 cooking create test vue 吧
BITDM
@BITDM
是不是把vue2那个删了?
cinwell.li
@QingWei-Li
是的
删掉吧 没用了